import { Component } from "projen";
import { SmithyModelOptions } from "../../types";
import { TypeSafeApiModelProject } from "../type-safe-api-model-project";
/**
 * Options for a smithy build project
 */
export interface SmithyDefinitionOptions {
    /**
     * Smithy engine options
     */
    readonly smithyOptions: SmithyModelOptions;
    /**
     * The build output directory, relative to the project outdir
     */
    readonly buildOutputDir: string;
}
/**
 * Creates a project which transforms a Smithy model to OpenAPI
 */
export declare class SmithyDefinition extends Component {
    readonly openApiSpecificationPath: string;
    constructor(project: TypeSafeApiModelProject, options: SmithyDefinitionOptions);
}
